Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class ImageInfoImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.ebusiness.catalog.ImageInfoImpl

All Implemented Interfaces:
  Belonging, BusinessSmartComponent, Cloneable, Comparable, ImageInfo, RelationalReference, Serializable

public class ImageInfoImpl
extends BelongingImpl
implements ImageInfo

Implementation class for ImageInfo interface.

See Also:
  `ImageInfo`, `ImageInfoHome`, Serialized Form

Field Summary
`String` | `alternateText` Containment: By Value Multiplicity: 1:1
`String` | `language` Containment: By Value Multiplicity: 1:1
`String` | `name` Containment: By Value Multiplicity: 1:1
`int` | `type` Containment: By Value Multiplicity: 1:1
`String` | `url` Containment: By Value Multiplicity: 1:1

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`ImageInfoImpl()`

Method Summary
`int` | `compareTo(Object o)` Compare this belonging to another
`String` | `getAlternateText()` Get the value of alternateText
`String` | `getLanguage()` Get the value of language
`String` | `getName()` Get the value of name
`int` | `getType()` Get the value of type
`String` | `getUrl()` Get the value of url
`String` | `interfaceName()` interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setAlternateText(String alternateText)` Set the value of alternateText
`void` | `setByValue(Belonging value)` It is possible to call set-by-value with a superclass.
`void` | `setLanguage(String language)` Set the value of language
`void` | `setName(String name)` Set the value of name
`void` | `setType(int type)` Set the value of type
`void` | `setUrl(String url)` Set the value of url
`Belonging` | `value()` value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### language

    public String language

  - Containment: By Value
  - Multiplicity: 1:1

### alternateText

    public String alternateText

  - Containment: By Value
  - Multiplicity: 1:1

### url

    public String url

  - Containment: By Value
  - Multiplicity: 1:1

### type

    public int type

  - Containment: By Value
  - Multiplicity: 1:1

### name

    public String name

  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### ImageInfoImpl

    public ImageInfoImpl()

Method Detail

### getLanguage

    public String getLanguage()

  Get the value of language

  Specified by:
    `getLanguage` in interface `ImageInfo`
  Returns:
    language.

### setLanguage

    public void setLanguage(String language)

  Set the value of language

  Specified by:
    `setLanguage` in interface `ImageInfo`
  Parameters:
    `language` - language to be added

### getAlternateText

    public String getAlternateText()

  Get the value of alternateText

  Specified by:
    `getAlternateText` in interface `ImageInfo`
  Returns:
    alternateText.

### setAlternateText

    public void setAlternateText(String alternateText)

  Set the value of alternateText

  Specified by:
    `setAlternateText` in interface `ImageInfo`
  Parameters:
    `alternateText` - alternateText to be added

### getUrl

    public String getUrl()

  Get the value of url

  Specified by:
    `getUrl` in interface `ImageInfo`
  Returns:
    url.

### setUrl

    public void setUrl(String url)

  Set the value of url

  Specified by:
    `setUrl` in interface `ImageInfo`
  Parameters:
    `url` - url to be added

### getType

    public int getType()

  Get the value of type

  Specified by:
    `getType` in interface `ImageInfo`
  Returns:
    type.

### setType

    public void setType(int type)

  Set the value of type

  Specified by:
    `setType` in interface `ImageInfo`
  Parameters:
    `type` - type to be added

### getName

    public String getName()

  Get the value of name

  Specified by:
    `getName` in interface `ImageInfo`
  Returns:
    name.

### setName

    public void setName(String name)

  Set the value of name

  Specified by:
    `setName` in interface `ImageInfo`
  Parameters:
    `name` - name to be added

### value

    public Belonging value()

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns:
    a clone of this instance

### interfaceName

    public String interfaceName()

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns:
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters:
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters:
    `o` - target object for comparision
  Returns:
    0 objects are equal

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved